<!-- The xnote XML DTD - extended notes for RefDB -->
<!-- (C) 2003-10-29 Markus Hoenicka <markus@mhoenicka.de> -->

<!-- Invoke with the following declaration -->
<!-- <!DOCTYPE xnoteset PUBLIC "-//Markus Hoenicka//DTD Xnote V1.4//EN" "http://refdb.sourceforge.net/dtd/xnote-1.4/xnote.dtd"> -->
<!-- version number last bumped due to changes in the link type attribute list, use 1.4 for next released version -->

<!-- the top-level element, containing one or more extended notes -->
<!ELEMENT xnoteset (xnote)+>
<!ATTLIST xnoteset
   xmlns CDATA #FIXED 'http://refdb.sourceforge.net/namespaces/xnote'>

<!-- this element describes one extended note -->
<!ELEMENT xnote (title?, content?, keyword*, link*, ulink*)>
<!ATTLIST xnote id NMTOKEN #IMPLIED
                citekey NMTOKEN #IMPLIED
                user NMTOKEN #IMPLIED
                date NMTOKEN #IMPLIED
                share (public|private) #IMPLIED>

<!-- the optional title of a note -->
<!ELEMENT title (#PCDATA)>

<!-- the contents of the note -->
<!ELEMENT content ANY>

<!ATTLIST content type CDATA #IMPLIED
                  xml:lang CDATA #IMPLIED>

<!-- keyword for indexing purposes -->
<!ELEMENT keyword (#PCDATA)>

<!-- the link element, defines relations to other objects -->
<!ELEMENT link EMPTY>
<!ATTLIST link type (reference|refid|author|keyword|journalfull|journalabbrev|journalcustabbrev1|journalcustabbrev2) #REQUIRED
               target CDATA #REQUIRED>

<!-- an URL of a web resource -->
<!ELEMENT ulink (#PCDATA)>

<!ATTLIST ulink type (url|pdf|fulltext|related|image) "url">

